DOMElement::setAttribute
DOMElement::setAttributeNodeNS
DOMElement
PHP Manual

# DOMElement::setAttributeNode

(PHP 5)

DOMElement::setAttributeNode — Adds new attribute node to element

### Description

DOMAttr DOMElement::setAttributeNode ( DOMAttr `$attr` )

Adds new attribute node `attr` to element.

### Parameters

`attr`

  The attribute node.

### Return Values

Returns old node if the attribute has been replaced or `NULL`.

### Errors/Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

### See Also

- DOMElement::hasAttribute - Checks to see if attribute exists
- DOMElement::getAttributeNode - Returns attribute node
- DOMElement::removeAttributeNode - Removes attribute

DOMElement::setAttribute
DOMElement::setAttributeNodeNS
DOMElement
PHP Manual